#ifndef SCRIPT_MODULE_CLI_H
#define SCRIPT_MODULE_CLI_H

//#define cli_dprintf(x...) fprintf(stderr, x);

#ifndef cli_dprintf
#define cli_dprintf(x...)
#endif

#include "cli_core.h"
#include "packages/gpmi_scripts.h"

typedef struct Cli_ClientData {
	cli_t *c;
	int read_timeout;
} Cli_ClientData;

int  Cli_Initialize(void **client_data);
void Cli_Destroy(void **client_data);
void Cli_RegisterCommand(void *client_data, const char *name);
int  Cli_LoadScript(void *client_data, const char *filename);
char *Cli_GetExtension();
int  Cli_Rehash(void *client_data);
void Cli_RunFunction(void *client_data, const char *function, int argc, const char **argv);

int Cli_DynamicPackageCommand(char *command_string);
#endif /* SCRIPT_MODULE_CLI_H */
