/*
 * Replace:
 *  Empty -> Module
 */
#include <gpmi.h>
#include <gpmi/modules.h>
#include "empty.h"

static const GPMI_Script_Info Empty_Proc_Info = {
	&Empty_Initialize,
	&Empty_Destroy,
	&Empty_GetExtension,
	&Empty_RegisterCommand,
	&Empty_LoadScript,
	&Empty_Rehash,
	&Empty_RunFunction,
	0,
};

void gpmi_mod(RunTick)(gpmi_module *module, int frame_counter)
{
	GPMI_Script_RunTick(module, frame_counter);
}

void gpmi_mod(RunData)(gpmi_module *module, void *data)
{
	GPMI_Script_RunData(module, data);
}

/**
 * Run direct Empty command from the console. For debugging.
 * At this time it runs in the interpreter of the current AI that is
 * fine with the single AI approach. Later we will need to add commands
 * to switch between AIs.
*/
int gpmi_mod(Debug)(gpmi_module *module, const char *parameters)
{
//	Empty_ClientData *Empty_MyData = module->mod_data;

	return 0;
}

/**
 * Necessarry routines to init/uninit the module
 */
int gpmi_mod(Initialize)(gpmi_module *module, const char *params)
{
	return GPMI_Script_Load(&Empty_Proc_Info, module, params);
}

void gpmi_mod(Uninitialize)(gpmi_module *module)
{
	GPMI_Script_Destroy(module);
}
