#ifndef SCRIPT_MODULE_LUA_H
#define SCRIPT_MODULE_LUA_H

#include <lua.h>
#include <lauxlib.h>
#include <lualib.h>
#include "packages/gpmi_scripts.h"

typedef struct LUA_ClientData {
	lua_State *state;
} LUA_ClientData;

int  LUA_Initialize(void **client_data);
void LUA_Destroy(void **client_data);
void LUA_RegisterCommand(void *client_data, const char *name);
int  LUA_LoadScript(void *client_data, const char *filename);
char *LUA_GetExtension();
int  LUA_Rehash(void *client_data);
void LUA_RunFunction(void *client_data, const char *function, int argc, const char **argv);

#endif /* SCRIPT_MODULE_LUA_H */
