/* STUTTER GPMI module */

#ifndef SCRIPT_MODULE_STUTTER_H
#define SCRIPT_MODULE_STUTTER_H

#include "packages/gpmi_scripts.h"
#include <stutter/stutter.h>

typedef struct Stutter_FuncNames Stutter_FuncNames;
struct Stutter_FuncNames {
	char *name;
	Stutter_FuncNames *next;
};

typedef struct {
	varctx *global;
	char *name;
	Stutter_FuncNames *names;
} Stutter_ClientData;

int  Stutter_Initialize(void **client_data);
void Stutter_Destroy(void **client_data);
void Stutter_RegisterCommand(void *client_data, const char *name);
int  Stutter_LoadScript(void *client_data, const char *filename);
char *Stutter_GetExtension();
int  Stutter_Rehash(void *client_data);
void Stutter_RunFunction(void *client_data, const char *function, int argc, const char **argv);

#endif /* SCRIPT_MODULE_STUTTER_H */
