# This is an example how to use hash package from ruby. This script is
# also part of the regression test

def RunData(data)
end

PkgLoad("hash", 0)

hash = gpmi_hash_create(8)
print("table: #{hash} != 0\n")

print("Recno: #{gpmi_hash_stat_recno(hash)}\n")

gpmi_hash_store(hash, "red", "R")
gpmi_hash_store(hash, "green", "G")
gpmi_hash_store(hash, "blue", "B")

print("Recno: #{gpmi_hash_stat_recno(hash)} == 3\n")

print("max records per node: #{gpmi_hash_stat_max_node(hash)}\n")
print("avg records per node: #{gpmi_hash_stat_avg_node(hash)}\n")
print("memory: #{gpmi_hash_stat_mem(hash)} bytes are wasted\n")

print("Red is #{gpmi_hash_find(hash, "red")} == R\n")

print("Now a rehash...\n")
hash = gpmi_hash_rehash(hash, 256)
print("table: #{hash} != 0x0\n")

print("max records per node: #{gpmi_hash_stat_max_node(hash)}\n")
print("avg records per node: #{gpmi_hash_stat_avg_node(hash)}\n")
print("memory: #{gpmi_hash_stat_mem(hash)} bytes are wasted\n")

print("Green is #{gpmi_hash_find(hash, "green")} == G\n")

