%{
	#include "listgen.tab.h"
	#include "listgen1.h"
%}

DIGIT	[0-9]*
ID		[A-Za-z][A-Za-z0-9_]*
WS		[\t ]

%%
[/][/].*[\n]				{/* eat up comments */ yylglloc.first_line++; }
enum				{return ENUM;}
\/\*				{return CMT_OPEN;}
\*\/				{return CMT_CLOSE;}
unsigned		{return UNSIGNED;}
int					{return INT;}
double			{return DOUBLE;}
char				{return CHAR;}
void				{return VOID;}
event				{return EVENT;}
typedef			{return TYPEDEF;}
gpmi_keyword {return GPMI_KEYWORD;}
gpmi_fake_keyword {return GPMI_FAKE_KEYWORD;}

gpmi_define_event {return GPMI_DEFINE_EVENT;}
of					{return OF;}
multiple		{return MULTIPLE;}
dynamic			{return DYNAMIC;}
const				{return CONST;}
extern			{return EXTERN;}
union				{return UNION;}
direct			{return DIRECT;}
nowrap			{return NOWRAP;}
inline      {return INLINE;}
FAKETYPE		{return FAKETYPE;}


struct			{return STRUCT;}

{DIGIT}			{yylglval.num = atoi(yytext); return NUMBER;}
{ID}				{yylglval.str = strdup(yytext); return ID;}

[\r]
[\n]					{yylglloc.first_line++; yylglloc.first_column=1;}
[ \t]*				{yylglloc.first_column++;}



^{WS}*#.*(\\\n.*)*		{/* Eat up some unhandled tokens */ yylglloc.first_line++;}

[*(){};:,=.<>!\[\]]	{return yytext[0];}

.						{verbprintf(3, "      (Warning: unrecognised: '%s' in line %d at %d)\n", yytext, yylglloc.first_line, yylglloc.first_column);}



%%
